Skip to content

Principal Settings

The Principal Settings API allows admins to manage governance settings for a principal. Use this API to manage settings for a target principal, such as appointing a delegate for governance reviews.

Update the principal settings

Request

Beta
OAuth 2.0 scope:
  • okta.governance.principalSettings.manage
Admin roles:
  • SUPER_ADMIN
  • ACCESS_CERTIFICATION_ADMIN
  • ACCESS_REQUESTS_ADMIN

Updates the settings for a principal

Note: To update the principal settings, you must be assigned to either the SUPER_ADMIN role or both the ACCESS_CERTIFICATION_ADMIN and the ACCESS_REQUESTS_ADMIN roles.

Path
targetPrincipalIdstringrequired

Unique identifier for the target principal in Okta ID format or ORN format

Bodyapplication/jsonrequired
delegatesobject(delegates-patchable)

Delegates for the principal

PATCH
/governance/api/v1/principal-settings/{targetPrincipalId}
curl -i -X PATCH \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/principal-settings/{targetPrincipalId}' \
  -H 'Content-Type: application/json' \
  -d '{
    "delegates": {
      "appointments": [
        {
          "delegate": {
            "type": "OKTA_USER",
            "externalId": "00u2lxfQaw8WRlkQt0g4"
          },
          "note": "Johnny Appleseed is on parental leave"
        }
      ]
    }
  }'

Responses

A successful governance principal settings patch response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
delegatesobject

Delegates for the principal

Response
{ "delegates": { "appointments": [] } }